Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.remoting
Class RemotingClient.RemotingWorker

    java.lang.Object
      org.red5.server.net.remoting.RemotingClient.RemotingWorker

All Implemented Interfaces:
  Runnable

Enclosing class:
  RemotingClient

    public static final class RemotingClient.RemotingWorker

extends Object
implements Runnable

Worker class that is used for asynchronous remoting calls.

Constructor Summary
`RemotingClient.RemotingWorker(RemotingClient client, String method, Object[] params, IRemotingCallback callback)` Execute task.

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotingClient.RemotingWorker

    public RemotingClient.RemotingWorker(RemotingClient client,
                                         String method,
                                         Object[] params,
                                         IRemotingCallback callback)

  Execute task.

  Parameters:
    `client` - Remoting client
    `method` - Method name
    `params` - Parameters to pass to method on call
    `callback` - Callback

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project